window.Gleam.initSearch([{"doc":"phony","title":"phony","content":"![phony](https://raw.githubusercontent.com/massivefermion/phony/main/banner.png)\n\n[![Package Version](https://img.shields.io/hexpm/v/phony)](https://hex.pm/packages/phony)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/phony/)\n\n# phony\n\nAn international phone number validator\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/phony/main/icon.png&quot;&gt; Quick start\n\n```sh\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/phony/main/icon.png&quot;&gt; Installation\n\nThis package can be added to your Gleam project:\n\n```sh\ngleam add phony\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/phony&gt;.\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/phony/main/icon.png&quot;&gt; Usage\n\n```gleam\nimport phony\n\npub fn main() {\n    phony.validate(&quot;+1 4305573966&quot;)\n    phony.validate(&quot;+49 1522 343333&quot;)\n    phony.validate_by_country(&quot;09101752439&quot;, &quot;IR&quot;)\n    phony.validate_by_code(&quot;27111234&quot;, &quot;880&quot;)\n}\n```","url":"index.html"},{"doc":"phony","title":"Country","content":"pub type Country {\n  Country(\n    name: String,\n    alpha2: String,\n    flag: String,\n    code: String,\n  )\n}\n\nCountry(name: String, alpha2: String, flag: String, code: String)\n\n\nSynonyms:\nphony.Country\nphony Country","url":"phony.html#Country"},{"doc":"phony","title":"PhoneNumberKind","content":"pub type PhoneNumberKind {\n  Mobile\n  Landline\n}\n\nMobile\n\n\nLandline\n\n\nSynonyms:\nphony.PhoneNumberKind\nphony PhoneNumberKind","url":"phony.html#PhoneNumberKind"},{"doc":"phony","title":"ValidationResult","content":"pub type ValidationResult {\n  ValidationResult(country: Country, kind: PhoneNumberKind)\n}\n\nValidationResult(country: Country, kind: PhoneNumberKind)\n\n\nSynonyms:\nphony.ValidationResult\nphony ValidationResult","url":"phony.html#ValidationResult"},{"doc":"phony","title":"get_countries","content":"pub fn get_countries() -&gt; List(Country)\n\nSynonyms:\nphony.get_countries\nphony get_countries","url":"phony.html#get_countries"},{"doc":"phony","title":"validate","content":"pub fn validate(\n  phone_number: String,\n) -&gt; Result(ValidationResult, Nil)\n\nSynonyms:\nphony.validate\nphony validate","url":"phony.html#validate"},{"doc":"phony","title":"validate_by_code","content":"pub fn validate_by_code(\n  phone_number: String,\n  code: String,\n) -&gt; Result(ValidationResult, Nil)\n\nSynonyms:\nphony.validate_by_code\nphony validate_by_code","url":"phony.html#validate_by_code"},{"doc":"phony","title":"validate_by_country","content":"pub fn validate_by_country(\n  phone_number: String,\n  alpha2: String,\n) -&gt; Result(ValidationResult, Nil)\n\nSynonyms:\nphony.validate_by_country\nphony validate_by_country","url":"phony.html#validate_by_country"},{"doc":"phony","title":"phony","content":"","url":"phony.html"}]);